﻿namespace DataVAPI.ModelDataBus
{
    /// <summary>
    /// 数据总线
    /// </summary>
    public class DataBus
    {
        #region 单例模式
        public static DataBus dataBus = null;

        public static DataBus GetInstance()
        {
            if (dataBus == null)
            {
                dataBus = new DataBus();
            }
            return dataBus;
        }
        /// <summary>
        /// 显示定义构造函数为私有，表示只允许自己实例化自己
        /// </summary>
        public DataBus()
        {

        }
        #endregion

        #region 公共函数
        #endregion

        #region 公共变量
        /// <summary>
        /// 数据库连接名称
        /// </summary>
        public static string connStr = "mongodb://root:cygadmin@192.168.1.224:27017";
        /// <summary>
        /// 数据库名称
        /// </summary>
        public static string dbName = "iotdb";
        #endregion
    }
}
